### Method

# Ggit Config match

#### Declaration [src]

    gchar*
    ggit_config_match (
      GgitConfig* config,
      GRegex* regex,
      GMatchInfo** match_info,
      GError** error
    )

#### Description [src]

Matches a configuration against a regular expression. `match_info` will contain the match information if the return value is not `NULL`, otherwise `error` will be set.

#### Parameters

`regex`

  Type: `GRegex`

  A `GRegex`.

  The data is owned by the caller of the method.

`match_info`

  Type: `GMatchInfo`

  A `GMatchInfo`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

The value of that matched configuration.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.